org.richfaces.resource.optimizer.resource.scan.impl.reflections

## Class MarkerResourcesScanner

- java.lang.Object
- - org.reflections.scanners.AbstractScanner
  - - org.richfaces.resource.optimizer.resource.scan.impl.reflections.MarkerResourcesScanner

- All Implemented Interfaces:
    org.reflections.scanners.Scanner

      public class MarkerResourcesScanner
      extends org.reflections.scanners.AbstractScanner

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarkerResourcesScanner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsInput(String file)`
    `void` | `scan(Object cls)`
    `void` | `scan(org.reflections.vfs.Vfs.File file)`

    - ### Methods inherited from class org.reflections.scanners.AbstractScanner

      `acceptResult, filterResultsBy, getConfiguration, getMetadataAdapter, getName, getResultFilter, getStore, setConfiguration, setResultFilter, setStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarkerResourcesScanner

          public MarkerResourcesScanner()

  - ### Method Detail

    - #### scan

          public void scan(Object cls)

      Specified by:
        `scan` in class `org.reflections.scanners.AbstractScanner`

    - #### scan

          public void scan(org.reflections.vfs.Vfs.File file)

      Specified by:
        `scan` in interface `org.reflections.scanners.Scanner`
      Overrides:
        `scan` in class `org.reflections.scanners.AbstractScanner`

    - #### acceptsInput

          public boolean acceptsInput(String file)

      Specified by:
        `acceptsInput` in interface `org.reflections.scanners.Scanner`
      Overrides:
        `acceptsInput` in class `org.reflections.scanners.AbstractScanner`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.